Bug 427478 - vncpasswd program is missing from vnc install
vncpasswd program is missing from vnc install
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 22:31 EST by Joe Totale
Modified: 2013-04-30 19:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 08:05:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Totale 2008-01-03 22:31:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
I wanted to set a password at ~/.vnc/passwd for vnc viewer only (had not installed vnc server).  $vncpasswd was not a recognised command, and yum-exteder did not list vncpasswd in the files for vnc-4.1.2-23.fc8.src.rpm

Version-Release number of selected component (if applicable):
vnc-4.1.2-23.fc8.src.rpm

How reproducible:
Always


Steps to Reproduce:
1.install vnc-4x.fc8.src.rpm
2.$vncpasswd
3.

Actual Results:
'command not found' error message

Expected Results:
vncpasswd should have run

Additional info:
Comment 1 Johan Kok 2008-01-13 15:49:33 EST
Did you install the source rpm or the binary rpm for your arch? 

The vncpasswd utility is included in the vnc-server package. Please confirm that you have that package 
installed (with 'rpm -q vnc-server' for example) and install the package if it it missing (with 'yum install 
vnc-server'). Then, try again to use vncpasswd.

Can you report back if this resolved your issue?
Comment 2 Joe Totale 2008-01-14 07:20:31 EST
I originally installed vnc-4x.fc8.src.rpm for Fedora 8.

At the time I resolved the problem by installing vnc-server which did provide 
vncpasswd.  After checking, I think that vncpasswd should be available to 
users of vncviewer who do not have vnc-server installed.

Thx
Comment 3 Adam Tkac 2008-01-14 10:17:55 EST
yes, you're right that vncpasswd is in vnc-server package. I'm not sure why you
need it in vnc package. Do you have any reason?
Comment 4 Joe Totale 2008-01-14 12:24:11 EST
I was using vnc to view another desktop (my headless server) and wanted to 
tell vnc to use the password in the ~/.vnc/passwd file to help automate the 
process.  I thought that the vnc package provides vncpasswd on other distros 
I've used.  If I'm wrong about that, and vncpasswd only comes as part of vnc-
server, then my apologies for incorrectly reporting the bug.
Comment 5 Adam Tkac 2008-01-21 08:05:37 EST
(In reply to comment #4)
> I was using vnc to view another desktop (my headless server) and wanted to 
> tell vnc to use the password in the ~/.vnc/passwd file to help automate the 
> process.  I thought that the vnc package provides vncpasswd on other distros 
> I've used.  If I'm wrong about that, and vncpasswd only comes as part of vnc-
> server, then my apologies for incorrectly reporting the bug.

This is quite delicious problem. vncpasswd program can be only in one package. I
think this is more vnc-server program than client. So please install vnc-server
package if you need it or simply create ~/.vnc/passwd on server and copy that
file to client.

Note You need to log in before you can comment on or make changes to this bug.